Page 1 of 1

Model 15 and Animoog also half price?

Posted: Mon Feb 22, 2021 8:59 am
by MollyJanet
I actually dislike updating my ipad because of the many legacy-era sound apps on it (some stop working once you update) but Model D requires 10.3 or above - I'm on 10.1, so here I go jumping up to OS11.

I remember moog forcing my hand on updating to 10.1 originally, for the Model 15 app. Apple should pay them - they're the only app developer I'll update for!

But updating ipads is risky. You can lose a lot of function on apps you adore. I keep one other ipad around on OS9 just to keep a few great 32bit ones afloat and accessible.